#top-navbar {
    background-color: #808080;
}

.block {
    --_block-size: calc(var(--block-size) / 2.75);
    display: block;
    width: var(--_block-size);
    height: var(--_block-size);
}

.green1 {
    background-color: var(--company-color1);
}

.green2 {
    background-color: var(--company-color3);
}

.green3 {
    background-color: var(--company-color4);
}

.white {
    background-color: white;
}

/* content */

.banner-container {
    margin-top: calc(1rem + 45px + 1rem);
    display: flex;
    flex-direction: column-reverse;
}

.left-side,
.right-side {
    position: relative;
}

/* left side */

.left-side {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.banner-title {
    font-size: 2.5rem;
    font-family: var(--bold-font);
    margin: 0;
    max-width: 20ch;
    text-align: center;
    padding: 1.5rem 0;
}

.left-banner-block1 {
    display: none;
    position: absolute;
    bottom: var(--_block-size);
    left: 0;
}

.left-banner-block2 {
    display: none;
    position: absolute;
    bottom: 0;
    left: 0;
}

.left-banner-block3 {
    display: none;
    position: absolute;
    bottom: 0;
    left: var(--_block-size);
}

/* right side */

.banner-image {
    width: 100%;
    height: 100%;
    aspect-ratio: 7 / 6;
    object-fit: cover;
}

.right-banner-block1 {
    position: absolute;
    top: calc(var(--_block-size) * 2);
    left: 0;
}

.right-banner-block2 {
    position: absolute;
    top: calc(var(--_block-size) * 2);
    left: var(--_block-size);
}

.right-banner-block3 {
    position: absolute;
    top: calc(var(--_block-size) * 3);
    left: 0;
}

.right-banner-block4 {
    position: absolute;
    top: calc(var(--_block-size) * 2);
    right: 0;
}

.right-banner-block5 {
    position: absolute;
    bottom: var(--_block-size);
    left: 0;
}

.right-banner-block6 {
    position: absolute;
    bottom: 0;
    left: 0;
}

.right-banner-block7 {
    position: absolute;
    bottom: 0;
    left: var(--_block-size);
}

.right-banner-block8 {
    position: absolute;
    bottom: var(--_block-size);
    right: 0;
}

.right-banner-block9 {
    position: absolute;
    bottom: 0;
    right: var(--_block-size);
}

.right-banner-block10 {
    position: absolute;
    bottom: 0;
    right: 0;
}

/* main content */

main {
    display: flex;
    flex-direction: column;
}

section {
    padding: 3rem 3rem 2rem 3rem;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

section:nth-child(2) {
    --_border-clr: #e5e5e5;
    border-top: 1px solid var(--_border-clr);
    gap: 3rem;
}

.general-description {
    text-align: justify;
    text-align-last: start;
}

/* .chemical-properties-container {} */

.properties-title {
    --_header-size: 1.2rem;
    font-size: var(--_header-size);
    position: relative;
    margin: 1rem 0;
}

.properties-title::before {
    content: "";

    --_pin-block-size: var(--_header-size);
    display: none;
    width: var(--_pin-block-size);
    height: var(--_pin-block-size);
    background-color: var(--company-color1);

    position: absolute;
    top: 50%;
    left: calc(-1 * var(--_header-size) * 2);
    transform: translateY(-50%);
}

.properties-list {
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
}

.other-information-title {
    --_header-size: 1.2rem;
    font-size: var(--_header-size);
    margin: 1rem 0;
}

.other-information-list {
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
    margin-bottom: 1.5rem;
}

.other-information-text {
    display: block;
    width: 100%;
    text-align: justify;
    text-align-last: start;
}

/* form */

/* .request-a-quote-container {} */

.request-a-quote-title {
    --_header-size: 1.2rem;
    font-size: var(--_header-size);
    position: relative;
    margin: 1.25rem 0;
}

.request-form {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 1rem;
}

.input-group {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.input-group>span {
    font-weight: bold;
}

.input-group>input {
    padding: 0.5rem 1rem;
    border: none;
    border-bottom: 2px solid var(--dark-input-color);
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
}

.inquire-button {
    padding: 0.25rem 2rem;
    margin-top: 1.75rem;
    background-color: var(--company-color1);
    color: var(--light-font-color);
    border: none;
    align-items: center;
    height: 2.2rem;
}

/* price increase */

/* .price-changes-container {} */

.price-changes-title {
    --_header-size: 1.2rem;
    font-size: var(--_header-size);
    position: relative;
    margin: 1.25rem 0;
}

#price-changes-list {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    max-height: 24ch;
    overflow-y: auto;
}

@media (width>=768px) {

    .block {
        --_block-size: calc(var(--block-size) / 2.5);
    }

    .banner-container {
        display: grid;
        grid-template-columns: 1.5fr 2fr;
    }

    .left-banner-block1,
    .left-banner-block2,
    .left-banner-block3 {
        display: block;
    }

    .banner-title {
        padding: 0;
        padding-bottom: 3rem;
    }

    main {
        display: grid;
        grid-template-columns: 2.5fr 1.5fr;
    }

    section:nth-child(1) {
        padding-left: 6rem;
        padding-right: 6rem;
    }

    section:nth-child(2) {
        border: none;
        border-left: 2px solid var(--_border-clr);
    }

    .properties-title::before {
        display: block;
    }
}